/***********************************
  (C) Copyright 1992-1993; dit/upm
   Distributed under the conditions stated in the
   TOPO General Public License (see file LICENSE)
 ***********************************
 $Log: elib.c,v $
 * Revision 1.5  1993/01/25  15:30:37  lotos
 * reorganize code into modules
 *
 * Revision 1.4  1993/01/20  13:38:05  lotos
 * generate test system for lola
 *
 * Revision 1.3  1993/01/18  17:52:56  lotos
 * distribution issues
 *
 * Revision 1.2  1993/01/12  20:21:49  lotos
 * portability issues
 *
 * Revision 1.1  1992/11/19  18:22:58  lotos
 * Initial revision
 *
 * Revision 2.3  91/02/28  17:17:51  lotos
 * rule 'premiss ::= _value_expression' removed
 * consequences: colours c_bool, c_rectrue, c_true removed
 * unique identifier per class generated
 * 
 * 
 * Revision 2.2  90/10/31  07:53:29  lotos
 * prefer local version of grc.h
 * 
 * Revision 2.1  90/10/30  14:12:37  lotos
 * compressed AST
 * use of hardwired colours
 * compressed value expressions
 * annotations to colours
 * 
 ***********************************/

#ifndef lint
static char rcsid[]= "$Id: elib.c,v 1.5 1993/01/25 15:30:37 lotos Exp $";
#endif

# include "elib.h"

PUBLIC STRlist
STRcollect (nd)
  TNODE* nd;
{
  if (nd == NULL)
    return NULL;
  else
    return STRcons (l2s (fdclr (c_lexv, nd, -13)),
		    STRcollect (nd->brothers),
		    TRUE);
}

PUBLIC int
checkmatrix (relation)
  char* relation;
{
  if (strcmp (relation, "<>") == 0)
    return TRUE;
  if (strcmp (relation, "<") == 0)
    return TRUE;
  if (strcmp (relation, "<=") == 0)
    return TRUE;
  if (strcmp (relation, ">") == 0)
    return TRUE;
  if (strcmp (relation, ">=") == 0)
    return TRUE;
  return FALSE;
}

